Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.zkforge.timeplot.geometry
Interface ValueGeometry

All Known Implementing Classes:
  DefaultValueGeometry, LogarithmicValueGeometry

    public interface ValueGeometry

Author:
  gwx

Field Summary
`static java.lang.String` | `BOTTOM`
`static java.lang.String` | `LEFT`
`static java.lang.String` | `RIGHT`
`static java.lang.String` | `SHORT`
`static java.lang.String` | `TOP`

Method Summary
`java.lang.String` | `getAxisColor()`
`java.lang.String` | `getAxisLabelsPlacement()`
`java.lang.String` | `getGridColor()`
`float` | `getGridLineWidth()`
`int` | `getGridShortSize()`
`int` | `getGridSpacing()`
`java.lang.String` | `getGridType()`
`int` | `getMax()`
`int` | `getMin()`
`int` | `getValueGeometryId()`
`void` | `setAxisColor(java.lang.String axisColor)`
`void` | `setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)`
`void` | `setGridColor(java.lang.String gridColor)`
`void` | `setGridLineWidth(float gridLineWidth)`
`void` | `setGridShortSize(int gridShortSize)`
`void` | `setGridSpacing(int gridSpacing)`
`void` | `setGridType(java.lang.String gridType)`
`void` | `setMax(int max)`
`void` | `setMin(int min)`

Field Detail

### LEFT

    static final java.lang.String LEFT

See Also:
  Constant Field Values

### RIGHT

    static final java.lang.String RIGHT

See Also:
  Constant Field Values

### TOP

    static final java.lang.String TOP

See Also:
  Constant Field Values

### BOTTOM

    static final java.lang.String BOTTOM

See Also:
  Constant Field Values

### SHORT

    static final java.lang.String SHORT

See Also:
  Constant Field Values

Method Detail

### getAxisColor

    java.lang.String getAxisColor()

### setAxisColor

    void setAxisColor(java.lang.String axisColor)

### getAxisLabelsPlacement

    java.lang.String getAxisLabelsPlacement()

### setAxisLabelsPlacement

    void setAxisLabelsPlacement(java.lang.String axisLabelsPlacement)

### getGridColor

    java.lang.String getGridColor()

### setGridColor

    void setGridColor(java.lang.String gridColor)

### getGridLineWidth

    float getGridLineWidth()

### setGridLineWidth

    void setGridLineWidth(float gridLineWidth)

### getGridShortSize

    int getGridShortSize()

### setGridShortSize

    void setGridShortSize(int gridShortSize)

### getGridSpacing

    int getGridSpacing()

### setGridSpacing

    void setGridSpacing(int gridSpacing)

### getGridType

    java.lang.String getGridType()

### setGridType

    void setGridType(java.lang.String gridType)

### getMax

    int getMax()

### setMax

    void setMax(int max)

### getMin

    int getMin()

### setMin

    void setMin(int min)

### getValueGeometryId

    int getValueGeometryId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Potix Corporation. All Rights Reserved.